# EncodingUtils (Crawler-commons 0.7 API)
Date: 2016-11-21

crawlercommons.fetcher

## Class EncodingUtils

- java.lang.Object
- - crawlercommons.fetcher.EncodingUtils

Deprecated.
As of release 0.6. We recommend directly using Apache HttpClient, async-http-client, or any other robust, industrial-strength HTTP clients.

    @Deprecated
    public class EncodingUtils
    extends Object

### Nested Class Summary

Nested Classes
`static class` `EncodingUtils.ExpandedResult` Deprecated.

### Constructor Summary

Constructors
Constructor and Description
`EncodingUtils()` Deprecated.

### Method Summary

All Methods Static Methods Concrete Methods Deprecated Methods
`static byte[]` `processDeflateEncoded(byte[] content)` Deprecated.
`static byte[]` `processDeflateEncoded(byte[] compressed, int sizeLimit)` Deprecated.
`static byte[]` `processGzipEncoded(byte[] compressed)` Deprecated.
`static EncodingUtils.ExpandedResult` `processGzipEncoded(byte[] compressed, int sizeLimit)` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EncodingUtils

    public EncodingUtils()

Deprecated.

### Method Detail

#### processGzipEncoded

    public static byte[] processGzipEncoded(byte[] compressed)
                                     throws IOException

Deprecated.

Throws:
  `IOException`

#### processGzipEncoded

    public static EncodingUtils.ExpandedResult processGzipEncoded(byte[] compressed,
                                                                  int sizeLimit)
                                                           throws IOException

Deprecated.

Throws:
  `IOException`

#### processDeflateEncoded

    public static byte[] processDeflateEncoded(byte[] content)
                                        throws IOException

Deprecated.

Throws:
  `IOException`

#### processDeflateEncoded

    public static byte[] processDeflateEncoded(byte[] compressed,
                                               int sizeLimit)
                                        throws IOException

Deprecated.

Throws:
  `IOException`